.home_container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  position: relative;

  &__top_decorate {
    position: absolute;
    clip-path: polygon(100% 0, 0% 100%, 0 0);
    top: 0;
    left: 0;
    width: 100vw;
    height: 50vh;
    z-index: -1;
    background-color: $primary-color;
  }

  &__bottom_decorate {
    position: absolute;
    clip-path: polygon(100% 0, 0% 100%, 100% 100%);
    bottom: 0;
    right: 0;
    width: 100vw;
    height: 50vh;
    z-index: -1;
    background-color: $secondary-color;
  }
}

.user_name_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 30rem;
  height: 10rem;
  background-color: white;
  -webkit-box-shadow: 5px 9px 26px 0px rgba(204, 204, 204, 1);
  -moz-box-shadow: 5px 9px 26px 0px rgba(204, 204, 204, 1);
  box-shadow: 5px 9px 26px 0px rgba(204, 204, 204, 1);
  border-radius: 0.3rem;
  animation-name: bubble;
  animation-delay: 0.5s;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  &:hover {
    animation: none;
  }

  @include respond(sm) {
    width: 20rem;
    height: 10rem;
  }

  input {
    padding: 0.3rem;
    outline: none;
    border-color: $secondary-color;
    border: 0;
    border-bottom: 2px solid $primary-color;
    background: transparent;
    color: $primary-color;
    font-size: 2rem;
    line-height: 2rem;
    letter-spacing: 0.125rem;
    margin-bottom: 2rem;

    @include respond(sm) {
      font-size: 1.5rem;
    }
  }
  button {
    align-self: flex-end;
    margin-right: 1rem;
    padding: 8px 26px;
    border: none;
    outline: none;
    font-size: 1.3rem;
    border-radius: 0.3rem;
    background-color: $primary-color;
    color: $secondary-color;
    -webkit-box-shadow: 3px 4px 10px 0px rgba(204, 204, 204, 1);
    -moz-box-shadow: 3px 4px 10px 0px rgba(204, 204, 204, 1);
    box-shadow: 3px 4px 10px 0px rgba(204, 204, 204, 1);
    transition: all 0.3s;

    @include respond(sm) {
      font-size: 1.1rem;
    }

    &:hover {
      color: $primary-color;
      background-color: $secondary-color;
      -webkit-box-shadow: 1px 2px 1px 0px rgba(204, 204, 204, 1);
      -moz-box-shadow: 1px 2px 1px 0px rgba(204, 204, 204, 1);
      box-shadow: 1px 2px 1px 0px rgba(204, 204, 204, 1);
    }
  }
}
